/*
 * Copyright (c) 2021. Julien Fischer
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

.theme-dark {

    /* Palette */
    --palette-blue:           #4481E2;
    --palette-green:          #109F59;
    --palette-red:            #DD4538;
    --palette-yellow:         #F3B402;
    --palette-orange:         #976F00;
    --palette-teal:           #007088;
    --palette-gray:           #808080;
    --palette-white:          #FFFFFF;
    --palette-black:          #000000;

    /* Accent */
    --accent-primary:         var(--palette-blue);
    --accent-primary-light:   #525A66;
    --accent-primary-strong:  #76b5ff;
    --accent-primary-soft:    rgba(56,139,253,0.15);
    --neutral-0:              #606060;
    --neutral-1:              #535353;
    --neutral-2:              #535353;
    --neutral-3:              #5A5A5A;

    /* Global */
    --global-foreground:                   #DDDDDD;
    --global-background:                   #444444;
    --global-secondary-background:         #333333;
    --global-tertiary-background:          var(--global-background);
    --global-highlighted-background:       #4F4F4F;
    --global-strong-foreground:            var(--palette-white);
    --global-emphasis-foreground:          #DDDDDD;
    --global-subtle-foreground:            #CCCCCC;

    /* Messages */
    --message-success-background:          var(--palette-green);
    --message-success-foreground:          var(--palette-white);
    --message-error-background:            rgba(243, 2, 2, .1);
    --message-error-foreground:            rgb(243, 120, 120);
    --message-warn-background:             rgba(243, 180, 2, .2);
    --message-warn-foreground:             rgb(255, 231, 175);
    --message-info-background:             var(--palette-teal);
    --message-default-background:          var(--palette-gray);

    /* Components */
    --arrow-controls-background:           #666;
    --arrow-controls-hover-background:     #AAA;
    --arrow-step-background:               #555;
    --tag-foreground:                      var(--palette-white);
    --tag-context-global-background:       var(--palette-gray);
    --tag-context-editor-background:       var(--accent-primary);
    --tag-context-import-dialog:           var(--palette-teal);
    --tag-format-background:               var(--accent-primary-soft);
    --tag-format-foreground:               var(--accent-primary-strong);
    --tag-format-selected-background:      var(--palette-white);
    --tag-format-selected-foreground:      var(--accent-primary);
    --button-disabled-background:          #3E3E3E;
    --button-disabled-foreground:          #666;
    --button-fab-background:               #585858;
    --button-fab-foreground:               var(--palette-white);
    --button-text-foreground:              #CCC;
    --button-filled-background:            var(--neutral-0);
    --button-filled-foreground:            #DDD;
    --button-neutral-hover-background:     #777;
    --close-btn-foreground:                #999;
    --expand-btn-foreground:               #AAA;
    --expand-btn-wrapper-foreground:       #BBB;
    --expand-btn-wrapper-hover-foreground: #DDD;
    --expand-btn-hover-foreground:         var(--palette-white);
    --toggle-btn-background:               var(--form-element-background);
    --toggle-btn-foreground:               #CCC;
    --toggle-btn-border:                   #666;
    --toggle-btn-hover-background:         #555;
    --toggle-btn-hover-foreground:         #DEDEDE;
    --toggle-btn-active-background:        #666;
    --toggle-btn-active-foreground:        #FFF;
    --toggle-btn-active-border:            var(--toggle-btn-active-background);
    --toggle-btn-active-hover-background:  #777;
    --toggle-btn-active-hover-foreground:  var(--palette-white);
    --editor-cell-background:              var(--global-background);
    --editor-corner-cell-background:       var(--neutral-2);
    --editor-header-cell-background:       var(--neutral-2);
    --editor-header-cell-active:           var(--accent-primary-strong);
    --editor-cell-focus:                   var(--accent-primary-strong);
    --editor-grid-border:                  #666;
    --dialog-title-foreground:             #777;
    --form-element-background:             var(--global-background);
    --form-element-foreground:             #BBB;
    --form-element-border:                 #666;
    --form-element-hover-border:           #AAA;
    --form-element-icon-foreground:        #888;
    --create-grid-area-background:         #444;
    --create-grid-count-foreground:        #AAA;
    --gutter-shadow:                       rgba(255, 255, 255, .3);
    --gutter-dragged-background:           rgba(150, 150, 150, .1);
    --hamburger-icon-foreground:           #999;
    --hamburger-icon-open-foreground:      #EEE;
    --numbers-foreground:                  #777;
    --result-foreground:                   #D8D8D8;
    --tooltip-background:                  var(--message-success-background);
    --tooltip-outline:                     var(--message-success-background);
    --tooltip-foreground:                  var(--palette-white);
    --toolbar-background:                  var(--global-background);
    --table-read-only-foreground:          #AAA;
    --table-read-only-even-background:     #3D3C3C;
    --table-read-only-header-background:   #444;
    --table-read-only-header-border:       #555;

    /* Markdown */
    --markdown-h1:                         #EEE;
    --markdown-h2:                         #CCC;
    --markdown-p:                          #CCC;
    --markdown-a:                          var(--accent-primary-strong);
    --markdown-code:                       var(--palette-white);

    /* Syntax Highlighting */
    /* unused: yellow: #F2EB9E, green: #94E294, orange: #FFC356*/
    --syntax-delimiter:                    #A1A1A1;
    --syntax-value:                        #FFFFFF;
    --syntax-string:                       #FF9987;
    --syntax-number:                       #9CD7FF;
    --syntax-boolean:                      #C99EFF;
    --syntax-tag:                          #2bd4c7;
    --syntax-key:                          #9CD7FF;
    --syntax-attribute:                    #A3EBD8;
    --syntax-metadata:                     #A3EBD8;
    --syntax-keyword:                      #d6b4ff;
    --syntax-separator:                    #99B8FF;
}
